<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pay_details', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('pay_id');
            $table->unsignedBigInteger('sale_id');
            $table->decimal('amount', 10, 2);
            $table->foreign('pay_id')->references('id')->on('pay')->onDelete('cascade');
            $table->foreign('sale_id')->references('id')->on('sale')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pay_details');
    }
};
